Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master
Class MergeResult

    java.lang.Object
      com.sun.mdm.index.master.MergeResult

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class MergeResult
extends java.lang.Object
implements java.io.Externalizable

The MergeResult class contains the return values for a call to the merge-related functions of the MasterController class. These include mergeEnterpriseObject, unmergeEnterpriseObject, mergeSystemObject, and unmergeSystemObject. A MergeResult object includes a source and destination enterprise object and a transaction object.

See Also:
  Serialized Form

Field Summary
`static int` | `version`

Constructor Summary
`MergeResult()` Creates a new instance of the MergeResult class.

Method Summary
`EnterpriseObject` | `getDestinationEO()` Retrieves the destination enterprise object in a MatchResult object.
`EnterpriseObject` | `getSourceEO()` Retrieves the source enterprise object in a MatchResult object.
`TransactionObject` | `getTransactionObject()` Retrieves the transaction object (class TransactionObject) for a merge or unmerge transaction.
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setDestinationEO(EnterpriseObject destinationEO)` Sets the destination enterprise object in a MergeResult object.
`void` | `setSourceEO(EnterpriseObject sourceEO)` Sets the source enterprise object in a MergeResult object.
`void` | `setTransactionObject(TransactionObject transactionObject)` Sets the transaction object in a MergeResult object.
`java.lang.String` | `toString()` String representation of result Retrieves a string representation of the MergeResult object.
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final int version

See Also:
  Constant Field Values

Constructor Detail

### MergeResult

    public MergeResult()

  Creates a new instance of the MergeResult class.

  Parameters:
    None.

Method Detail

### getDestinationEO

    public EnterpriseObject getDestinationEO()

  Retrieves the destination enterprise object in a MatchResult object. This is the enterprise object whose EUID is retained after the merge transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - The destination enterprise object.
  Throws:
    None.

### getSourceEO

    public EnterpriseObject getSourceEO()

  Retrieves the source enterprise object in a MatchResult object. This is the enterprise object whose EUID is not retained after the merge transaction.

  Parameters:
    None.

  Returns:
    `EnterpriseObject` - The source enterprise object.
  Throws:
    None.

### getTransactionObject

    public TransactionObject getTransactionObject()

  Retrieves the transaction object (class TransactionObject) for a merge or unmerge transaction.

  Parameters:
    None.

  Returns:
    `TransactionObject` - The transaction object.
  Throws:
    None.

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### setDestinationEO

    public void setDestinationEO(EnterpriseObject destinationEO)

  Sets the destination enterprise object in a MergeResult object. This is the enterprise object whose EUID is retained after a merge transaction.

  Parameters:
    `destinationEO` - The destination enterprise object from a merge transaction.
  Returns:
    `void` - None.
  Throws:
    None.

### setSourceEO

    public void setSourceEO(EnterpriseObject sourceEO)

  Sets the source enterprise object in a MergeResult object. This is the enterprise object whose EUID is not retained after a merge transaction.

  Parameters:
    `sourceEO` - The source enterprise object from a merge transaction.
  Returns:
    `void` - None.
  Throws:
    None.

### setTransactionObject

    public void setTransactionObject(TransactionObject transactionObject)

  Sets the transaction object in a MergeResult object.

  Parameters:
    `transactionObject` - The transaction object from a merge or unmerge transaction.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  String representation of result Retrieves a string representation of the MergeResult object.

  Parameters:
    None.

  Returns:
    `String` - The values contained in the MergeResult attributes.
  Throws:
    None.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.